Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.slide.store
Interface RevisionDescriptorsStore

All Superinterfaces:
  Service, javax.transaction.xa.XAResource

All Known Subinterfaces:
  Store

All Known Implementing Classes:
  AbstractStore

public interface RevisionDescriptorsStore
extends Service

Store for RevisionDescriptors objects.

Version:
  $Revision: 1.7 $

Field Summary

Fields inherited from interface javax.transaction.xa.XAResource
`TMENDRSCAN, TMFAIL, TMJOIN, TMNOFLAGS, TMONEPHASE, TMRESUME, TMSTARTRSCAN, TMSUCCESS, TMSUSPEND, XA_OK, XA_RDONLY`

Method Summary
`void` | `createRevisionDescriptors(Uri uri, NodeRevisionDescriptors revisionDescriptors)` Create a new revision information object.
`void` | `removeRevisionDescriptors(Uri uri)` Remove revision information.
`NodeRevisionDescriptors` | `retrieveRevisionDescriptors(Uri uri)` Retrieve the revisions informations of an object.
`void` | `storeRevisionDescriptors(Uri uri, NodeRevisionDescriptors revisionDescriptors)` Update revision information.

Methods inherited from interface org.apache.slide.common.Service
`cacheResults, connect, connect, connectIfNeeded, connectIfNeeded, disconnect, getLogger, initialize, isConnected, reset, setNamespace, setParameters, setScope`

Methods inherited from interface javax.transaction.xa.XAResource
`commit, end, forget, getTransactionTimeout, isSameRM, prepare, recover, rollback, setTransactionTimeout, start`

Method Detail

### retrieveRevisionDescriptors

    public NodeRevisionDescriptors retrieveRevisionDescriptors(Uri uri)
                                                        throws ServiceAccessException,
                                                               RevisionDescriptorNotFoundException

  Retrieve the revisions informations of an object.

  Parameters:
    `uri` - Uri
  Throws:
    `ServiceAccessException` - Service access error
    `RevisionDescriptorNotFoundException` - Revision descriptor was not found

### createRevisionDescriptors

    public void createRevisionDescriptors(Uri uri,
                                          NodeRevisionDescriptors revisionDescriptors)
                                   throws ServiceAccessException

  Create a new revision information object.

  Parameters:
    `uri` - Uri
    `revisionDescriptors` - Node revision descriptors
  Throws:
    `ServiceAccessException` - Service access error

### storeRevisionDescriptors

    public void storeRevisionDescriptors(Uri uri,
                                         NodeRevisionDescriptors revisionDescriptors)
                                  throws ServiceAccessException,
                                         RevisionDescriptorNotFoundException

  Update revision information.

  Parameters:
    `uri` - Uri
    `revisionDescriptors` - Node revision descriptors
  Throws:
    `ServiceAccessException` - Service access error
    `RevisionDescriptorNotFoundException` - Revision descriptor was not found

### removeRevisionDescriptors

    public void removeRevisionDescriptors(Uri uri)
                                   throws ServiceAccessException

  Remove revision information.

  Parameters:
    `uri` - Uri
  Throws:
    `ServiceAccessException` - Service access error

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD